UNDIST(1)

NAME
undist - unpack, list, or verify SGI dist archives

SYNOPSIS
undist [-l|-v|-x] [-aopst] [-m machtype] [-P prefix] dist.idb

DESCRIPTION
undist unpacks SGI dist archives, which are found on IRIX installation media.

undist runs in one of three mutually exclusive modes:

-l  List the archive's contents without extracting.

-v  Verify the archive's contents by calculating and comparing checksums (after decompressing, if necessary), without saving any files.

-x  Extract the archive's contents.

The following flags augment one or more of the above modes:

-a  Allow extraction to an absolute path. Otherwise, files are extracted relative to the current working directory.

-m machtype
    Extract only files whose mach field in the idb file exactly match the given string.

-o  Ignore offset fields in the idb file and compute each manually. Mainly for testing.

-P prefix
    Only extract files whose names begin with the given prefix. There is currently no globbing support.

-p  Allow extraction to relative paths such as ‘../’. Otherwise, relative paths are munged such that files are extracted only within the current working directory and subdirectories thereof.

-s  Skip extraction errors and try to continue. Otherwise, fails immediately when an error is encountered.

-t  Extract using the temporary file path in the idb file instead of the destination file path.

EXAMPLES
Extract all contents from a dist into the current working directory:
    undist -x /mnt/dist/eoe1.idb

List all contents in a dist:
    undist -l /mnt/dist/eoe1.idb

Verify sizes and checksums of all files in a dist:
    undist -v /mnt/dist/eoe1.idb

Extract a single file from a dist:
    undist -x -P usr/etc/audio/hdsp.lod /mnt/dist/dmedia_eoe.idb

SEE ALSO
haudfw(1), haud(4)

HISTORY
The undist utility first appeared in NetBSD 12.